<?php
/**
 * @package WordPress
 * @subpackage Elemento Radio Player
 * @version 1.0.0
*/  



/**
 * =============================================|
 * WHAT IS THIS FILE?							|
 * ---------------------------------------------|
 * This is a built-in server side proxy to read |
 * web radio feed data from servers that 		|
 * doesn't have the proper CORS settings.		|
 * 												|
 * The ajax call will be redirected to wordpress|
 * and processed via server with a straight 	|
 * output.										|
 * _____________________________________________|
 * */

/** 
 * =============================================
 * Radio proxy function
 * ---------------------------------------------
 * If the GET parameter is passes, containing an
 * url to read, the content will be red server 
 * side and presented to the javascript
 * =============================================
 * */

if( !function_exists( 'erplayer_proxy' ) ){
	add_action( 'init', 'erplayer_proxy', 1 );
	function erplayer_proxy(){
		if( isset($_GET)){

			/**
			 * 
			 * Normal feed, no icy
			 * 
			 */
			if( array_key_exists('qtproxycall',$_GET ) && !array_key_exists('icymetadata', $_GET) ){
				$url = $_GET[ 'qtproxycall' ];
				$data = wp_remote_get( $url );
				if ( is_array( $data ) ) {
					die( $data[ 'body' ] ); // Yes, if have the result, just die here
				}
				die(); // If we can't get any result, die anyway, don't wanna risk some endless loop no?
			}

			/**
			 * 
			 * Icy metadata
			 * 
			 */
			if( array_key_exists('qtproxycall',$_GET ) && array_key_exists('icymetadata', $_GET) ){
				// die('iCy MEtadata');
				$url = $_GET[ 'qtproxycall' ];
				die( erplayer_getMp3StreamTitle($_GET[ 'qtproxycall' ]) );
			}
		}
	}
}

/**
 * =============================================
 * This will output an item containing the proxy URL, 
 * hat will be used by javascript for the ajax calls
 * =============================================
 * */

if( !function_exists('erplayer_add_proxy_param')){
	add_action("wp_footer", "erplayer_add_proxy_param");
	function erplayer_add_proxy_param(){
		?>
		<div id="erplayer-radiofeed-proxyurl" class="qt-hidden" data-proxyurl="<?php echo site_url(); ?>"></div>
		<?php  
	}
}